@font-face {
  font-family: "NerkoOne";
  src: url("NerkoOne-Regular.ttf") format("truetype");
}

body {
  padding: 0;
  margin: 0;
}
#unity-container {
  position: fixed;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
#unity-canvas {
  width: 100%;
  height: 100%;
  background: #231f20;
  transform-origin: center center;
  transition: transform 0.5s, width 0.5s, height 0.5s;
}
#unity-loading-bar {
  width: 100vw;
  height: 100vh;
  max-width: 600px;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  display: none;
  background-color: #5e99f2;
}
#unity-logo {
  width: 100%;
  height: 100%;
  aspect-ratio: auto;
}
.sushi {
  position: absolute;
  top: 47%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 70%;
}
.sushi-light {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.sushi-light-img {
  width: 70%;
  animation: spin 4s linear infinite;
}
@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
#unity-progress-bar-empty {
  margin-left: auto;
  margin-right: auto;
  width: 70%;
  height: 20px;
  margin-top: 10px;
  background: #ffffff no-repeat center;
  position: absolute;
  bottom: 12.5%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 10px;
  border: 3px solid #000000;
}
#unity-progress-bar-full {
  width: 0%;
  height: 20px;
  margin-top: 10px;
  background: #ffd32c no-repeat center;
  transform: translate(0%, -50%);
  border-radius: 5px;
}
#unity-warning {
  position: absolute;
  left: 50%;
  top: 5%;
  transform: translate(-50%);
  background: white;
  padding: 10px;
  display: none;
}
#unity-progress-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #000000;
  font-size: 22px;
  font-family: "NerkoOne", sans-serif;
}
#unity-loading-text {
  width: 95%;
  text-align: center;
  position: absolute;
  bottom: 10px;
  left: 50%;
  transform: translateX(-50%);
  color: #ffffff;
  font-size: 16px;
  font-family: "NerkoOne", sans-serif;
}
